Retrieves all the fee lists
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
feelist| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Feelist Name |
string |
Required Max length: 50 |
| description |
Fee list description |
string |
Max length: 255 |
| is_default |
is default fee list |
boolean | |
| default_price | decimal number |
Required |
|
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating feelist |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating feelist |
sales_organization | |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| db_currency_id |
FK of db_currency |
globally unique identifier | |
| db_currency_code |
Currency code using for adding/updating currency |
string |
Response Formats
application/json, text/json
Sample:
{
"id": "13dd186c-f4bf-484c-a843-3ea4bf3a4747",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "5d938d41-6005-448c-af86-c5eeb3b77d94",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-07-15T01:42:18.9955316+00:00",
"db_currency_id": "6dcc8080-667b-4e64-ba3d-a4a3faaf29e4",
"db_currency_code": "sample string 10"
}